Subject: bug#17950: closed (Re: bug#17950: 24.4.50; REGRESSION: `read-file-name' from a menu (mouse) treats "~/" as installation dir)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Jul 2014 09:29:02 +0000

Your bug report

#17950: 24.4.50; REGRESSION: `read-file-name' from a menu (mouse) treats "~/" as installation dir

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17950: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17950
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17950: 24.4.50; REGRESSION: `read-file-name' from a menu (mouse) treats "~/" as installation dir
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 12 Jul 2014 12:28:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 07 Jul 2014 12:39:43 -0400
> 
> > Given that this is standard behavior of the file selection dialog on
> > Windows 7 and later, the question is, should we try to work around it
> > (assuming there is a workaround, which is something I'm not yet sure)?
> 
> To the extent that using the system's dialog is meant to follow the
> system's behavior, I think it makes sense to just "go with the flow".

No further comments, so I documented the changed behavior in emacs-24
branch, revision 117373, and I'm closing the bug.

Subject: 24.4.50; REGRESSION: `read-file-name' from a menu (mouse) treats "~/" as installation dir
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Sat, 5 Jul 2014 14:29:24 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q

(defun foo (file)
  (interactive (list (read-file-name "Foo: " "~/")))
  (message "File is `%s'" file))

(define-key menu-bar-file-menu [foo] '(menu-item "FOOOO" foo))

(expand-file-name "~/") ; correctly returns my home directory, as in
previous Emacs versions.

And `M-x foo' correctly uses `~/' as the directory.

But invoking the same command `foo' from the menu (item `FOOOO') uses
the Emacs installation directory instead.

In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
 of 2014-06-28 on ODIEONE
Bzr revision: 117431 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/Devel/emacs/snapshot/trunk
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -g3'
 LDFLAGS=-Lc:/Devel/emacs/lib 'CPPFLAGS=-DGC_MCHECK=1
 -Ic:/Devel/emacs/include''